Get Event Icon
curl --request GET \
--url https://api.decodahealth.com/user/event-icons/{icon_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/user/event-icons/{icon_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/user/event-icons/{icon_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"emoji": "<string>",
"color": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Patients
Get Event Icon
Get a specific event icon.
GET
/
user
/
event-icons
/
{icon_id}
Get Event Icon
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Unique identifier for the event icon
Type of event icon
Available options:
BOOKING_FEE_PAID, NEW_PATIENT, SCHEDULED_BY_AI, FORM_COMPLETED, CHECKED_IN Emoji for the icon
Color code for the icon (hex format)
Whether the icon is active
Date and time when the icon was created
Date and time when the icon was last updated
⌘I
